var pageii = null;

var $table;
$(function(){	 
	  loadGrid();
});
	

    function loadGrid() {
		$('#tb').datagrid({
				iconCls : 'icon-list',
				title : '',
				//fit:true,
				height: gridheight + 20,
				width: gridwidth ,
				url :  g.ctx + 'pc/sys/emailLog/rest/list',
				singleSelect : true,
				pagination : true,
				idField : 'id',
				autoHeight:true,                  
	             loadMsg:"数据加载中......",
	             striped:false,
	            rownumbers : true,
	             nowrap:false,
	           //	  fit:false,
	             fitColumns:false,
				nowrap : true,
				remoteSort : true,
				striped : true,
				page:1,
				pageSize:10,
				queryParams: {
	            	 page:1,
	            	 rows:10,
	            	 name:"",
	            	 desc:""
	         	},
	         	onLoadSuccess:function(){
                    $('#tb').datagrid("selectRow", -1);
                    // $('div.datagrid-toolbar a').eq(2).linkbutton('disable');
                    // $('div.datagrid-toolbar a').eq(3).linkbutton('disable');
                    // $('div.datagrid-toolbar a').eq(1).linkbutton('disable');
					
				},
				columns : [ [
						{
							field : 'ck',
							checkbox : true
						},
					// {
                    //     field : 'status',
                    //     title : '是否已读',
                    //     width : '10%',
                    //     align : 'left',
                    //     formatter:function (value) {
                    //         if (value ==1)
                    //             return  "<font color='red'>未读</font>";
                    //         else
                    //             return "已读"return '<span title='+value+'>'+value+'</span>'
                    //     }
                    // },
                    {
                        field : 'createdateStr',
                        title : '创建时间',
                        width : '10%',
                        align : 'left'

                    },
						{
							field : 'emailTitle',
							title : '邮件主题',
							width : '20%',
							align : 'left'

						},
						{
							field : 'fromEmail',
							title : '发送邮箱',
							width : '10%',
							align : 'left'
						},
						{
							field : 'toEmail',
							title : '接收邮箱',
							width : '10%',
							align : 'left'
						},
						{
							field : 'state',
							title : '发送状态',
							width : '10%',
							align : 'left',
                            formatter:function (value) {
                                if (value ==0)
                                    return "未发送";
                                else
                                    return "已发送"
                            }

						},

						{
							field : 'createUserid',
							title : '发送人',
							width : '9%',
							align : 'left'

						},
						{
							field : 'publishbyname',
							title : '接收人',
							width : '9%',
							align : 'left'

						},
						{
							field : 'id',
							title : '操作',
							width : '100px',
							align : 'center',
							formatter :  function(value, row, index) {
								var s =  "<a title='查看' href='javascript:void(0)' onclick='lookDetail("+index+")'>查看</a>"
								return s ;
							}
						}
						]]
			});
	}


function lookDetail(index) {
	var tableData = $('#tb').datagrid('getRows');
	var content = '<div style="margin: 5px 5px;font-weight: bold;">'+ tableData[index]['emailContent'] +'</div>';
	parent.layer.open({
		type: 1,
		content: content,
		area: ['800px', '300px']
	});

}


function aa(){
    $('#tb').datagrid('load');
}

